Subject: [clisp-list] re: appending strings

From: [email-masked] (Don Cohen)
Date: Sun Dec 21 22:49:01 2003

> > I do a lot of string concatenation, generating a large string of HTML
 > > page, built from lots of small strings retrieved from a database, so I
 > > wrote a replacement for EXT:STRING-CONCAT that speeds things up a lot
 > > for my appl.  It works by working with a growable string array and
 > > pre-allocating space as it gets bigger.
It sounds like you're going to end up writing the concatenated string
to a socket stream.  Why not output the strings separately?

I wonder how 
 (with-output-to-string (st)
   (loop for s in strings do (princ s st)))
would perform.